Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class ImmutableRestriction

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestriction
          org.jasig.portal.layout.restrictions.alm.ALRestriction
              org.jasig.portal.layout.restrictions.alm.BooleanRestriction
                  org.jasig.portal.layout.restrictions.alm.ImmutableRestriction

All Implemented Interfaces:
  IUserLayoutRestriction

    public class ImmutableRestriction

extends BooleanRestriction

ImmutableRestriction checks the restriction on the "immutable" property for a given ALNode object. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.restrictions. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary

Fields inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`nodePath`

Fields inherited from interface org.jasig.portal.layout.restrictions.IUserLayoutRestriction
`CHILDREN_RESTRICTION_PATH, LOCAL_RESTRICTION_PATH, PARENT_RESTRICTION_PATH`

Constructor Summary
`ImmutableRestriction()`
`ImmutableRestriction(java.lang.String name)`
`ImmutableRestriction(java.lang.String name, java.lang.String nodePath)`

Method Summary
`protected boolean` | `getBooleanPropertyValue(ILayoutNode node)` Gets the boolean property value for the specified node

Methods inherited from class org.jasig.portal.layout.restrictions.alm.BooleanRestriction
`checkRestriction, checkRestriction, checkRestriction, parseRestrictionExpression`

Methods inherited from class org.jasig.portal.layout.restrictions.alm.ALRestriction
`checkRestriction`

Methods inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`getName, getRestrictionExpression, getRestrictionPath, getUniqueKey, getUniqueKey, getUniqueKey, setName, setRestrictionExpression, setRestrictionPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImmutableRestriction

    public ImmutableRestriction(java.lang.String name,
                                java.lang.String nodePath)

### ImmutableRestriction

    public ImmutableRestriction(java.lang.String name)

### ImmutableRestriction

    public ImmutableRestriction()

Method Detail

### getBooleanPropertyValue

    protected boolean getBooleanPropertyValue(ILayoutNode node)

  Gets the boolean property value for the specified node

  Specified by:
    `getBooleanPropertyValue` in class `BooleanRestriction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD